#
# spec file for package perl-DBI (Version 1.50)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Curses permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-DBI
BuildRequires:  perl-Curses
Version:        1.50
Release:        13.2
Requires:       perl = %{perl_version}
Requires:       perl-PlRPC
Provides:       perl_dbi DBI
Obsoletes:      perl_dbi
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        GPL
URL:            http://dbi.perl.org
Summary:        The Perl Database Interface
Source:         DBI-%{version}.tar.bz2
Patch:          dbis.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Perl Database Interface by Tim Bunce.



Authors:
--------
    Tim Bunce <Tim.Bunce@pobox.com>
    <dbi-users@isc.org>

%debug_package
%prep
%setup -q -n DBI-%{version}
%patch

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README ToDo
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%{perl_vendorarch}/DBI
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/Roadmap.pod
%{perl_vendorarch}/Win32
%{perl_vendorarch}/auto/DBI
%{_bindir}/*
/var/adm/perl-modules/%{name}

%changelog -n perl-DBI
* Mon Mar 27 2006 - mls@suse.de
- set DBIS in a way compatible to the header file, fixes
  use64bit issue [#155067]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - anicka@suse.cz
- update to 1.50
* Mon Aug 01 2005 - cthiel@suse.de
- update to version 1.48
* Tue Jul 26 2005 - anicka@suse.cz
- add perl-PlRPC to Requires
* Thu Feb 17 2005 - mjancar@suse.cz
- update to 1.47
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 1.43
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 1.41
* Tue Oct 21 2003 - mjancar@suse.cz
- update to 1.38
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- fix filelist
* Thu Jun 05 2003 - mjancar@suse.cz
- fix test failing on 64bit architectures
* Wed Jun 04 2003 - mjancar@suse.cz
- update to 1.37
  * Changed execute_array() return value from row
  count to executed tuple count, and now the
  ArrayTupleStatus attribute is mandatory.
- use $RPM_OPT_FLAGS
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Fri Dec 13 2002 - prehak@suse.cz
- update to version 1.32
* Tue Jul 09 2002 - prehak@suse.cz
- updated to version 1.28
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Jan 22 2002 - rvasice@suse.cz
- update to version 1.20
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 1.19
- spec file cleanup
* Tue Feb 13 2001 - cihlar@suse.cz
- bzipped sources
- use %%{version}
- update to version 1.14
- added %%clean
- fixed file list
- added make test
* Tue Nov 07 2000 - grimmer@suse.de
- removed BuildRoot path via sed calls in spec file
* Tue Oct 31 2000 - grimmer@suse.de
- renamed from perl_dbi to perl-DBI
- added BuildRoot
* Wed Jul 05 2000 - grimmer@suse.de
- marked man pages as documentation
- added missing man pages from section 1
- added Group tag
- added "Provides: DBI"
* Wed May 24 2000 - ug@suse.de
- added to distribution
